Loading...
Searching...
No Matches
Opm::Action::Result::MatchingEntities Class Reference

Container of matching entities. More...

`#include <ActionResult.hpp>`

## Classes

class | Impl
| Implementation of Result::MatchingEntities. More...

## Public Member Functions

| MatchingEntities ()
| Default constructor.
| MatchingEntities (const MatchingEntities &rhs)
| Copy constructor.
| MatchingEntities (MatchingEntities &&rhs)
| Move constructor.
| ~MatchingEntities ()
| Destructor.
ValueRange< std::string > | wells () const
| Assignment operator.
bool | hasWell (const std::string &well) const
| Whether or not named well is in the list of matching entities.
bool | operator== (const MatchingEntities &that) const
| Equality predicate.

## Friends

class | Result

## Detailed Description

Container of matching entities.

These are entities–typically wells or groups–for which an ACTIONX condition (or sub-condition) holds.

## Constructor & Destructor Documentation

## MatchingEntities() [1/3]

Opm::Action::Result::MatchingEntities::MatchingEntities | ( |  | ) |

Default constructor.

Forms an empty set of matching entities. Expected to be called by class Result only.

## MatchingEntities() [2/3]

Opm::Action::Result::MatchingEntities::MatchingEntities | ( | const MatchingEntities & | rhs | ) |

Copy constructor.

Parameters

  [in] | rhs | Source object from which to form an independent copy.

## MatchingEntities() [3/3]

Opm::Action::Result::MatchingEntities::MatchingEntities | ( | MatchingEntities && | rhs | ) |

Move constructor.

Parameters

  [in,out] | rhs | Source object from which form a new object. Left in an empty state on return from the move constructor.

## ~MatchingEntities()

Opm::Action::Result::MatchingEntities::~MatchingEntities | ( |  | ) |

default

Destructor.

Needed for PIMPL idiom.

## Member Function Documentation

## hasWell()

bool Opm::Action::Result::MatchingEntities::hasWell | ( | const std::string & | well | ) | const

Whether or not named well is in the list of matching entities.

Parameters

  [in] | well | Well name.

Returns
  Whether or not `well` is among the matching wells.

## operator==()

bool Opm::Action::Result::MatchingEntities::operator== | ( | const MatchingEntities & | that | ) | const

Equality predicate.

Parameters

  [in] | that | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `that`.

## wells()

Opm::Action::Result::ValueRange< std::string > Opm::Action::Result::MatchingEntities::wells | ( |  | ) | const

Assignment operator.

Parameters

  [in] | that | Source object whose value will overwrite MatchingEntities& operator=(MatchingEntities&& rhs);

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Action/ActionResult.hpp
- opm/input/eclipse/Schedule/Action/ActionResult.cpp